=== debian/changelog ===
grib-api (1.19.0-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Build for all supported python3 versions. Closes: #867604

  [ Alastair McKinstry ]
  * Standards-Version: 4.0.0; no changes required
  * Depend on libeccodes-data rather than shipping files in libgrib-api0
    Closes: #844064

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Jul 2017 12:32:46 +0100

grib-api (1.19.0-1) unstable; urgency=medium

  * New upstream release
  * Make libgrib-api-tools conflict with libeccodes-tools

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Nov 2016 15:43:29 +0000

grib-api (1.18.0-2) unstable; urgency=medium

  * Build --no-parallel for FTBFS on some systems

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 21:29:42 +0000
