=== debian/control ===
Source: grib-api
Section: libdevel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 10), dh-buildinfo, cmake,
  libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
  libnetcdf-dev, libboost-dev, libhdf5-dev, 
  libopenjp2-7-dev,
  curl,swig, 
  python3-all-dev,  python3-numpy, python3-six,
  python-all-dev, python-numpy, python-six,
  dh-python, chrpath, 
  python-setuptools, python3-setuptools,
  libaec-dev
Standards-Version: 4.0.0
Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev, libeccodes-dev
X-Python-Version: >= 2.6
Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
Vcs-Git: git://anonscm.debian.org/collab-maint/gribapi.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gribapi.git

Package: libgrib-api0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
Replaces: libgrib-api-data (<< 1.9.0~)
Breaks: libgrib-api-data (<< 1.9.0~)
Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
Description: GRIB decoding/encoding software library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-dev
Section: libdevel
Architecture: any
Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}, 
 libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
Conflicts: libeccodes-dev
Description: GRIB decoding/encoding software library (development)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libgrib-api-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-gribapi, python-gribapi
Conflicts: libeccodes-dev
Description: GRIB decoding/encoding software (utilities)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GRIB decoding/encoding software (documentation)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This provides the documentation for the library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python-gribapi
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python module for the ECMWF GRIB API library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a Python wrapper for the GRIB API library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python3-gribapi
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 module for the ECMWF GRIB API library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a Python3 wrapper for the GRIB API library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
