## grib-api 1.23.0

=== data/tigge/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,3 @@
 ecbuild_get_test_multidata( TARGET grib_api_download_tigge_gribs
                             NAMES ${tigge_files_to_download} )
 
-if( ENABLE_TESTS )
-  set_property( TEST grib_api_download_tigge_gribs APPEND PROPERTY LABELS download_data )
-endif()
