=== debian/changelog ===
grib-api (1.23.0-3) unstable; urgency=medium

  * Remove symlink. Closes: #870583
  * Conflict: python3-gribapi and python3-eccodes

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Aug 2017 07:29:45 +0100

grib-api (1.23.0-2) unstable; urgency=medium

  * Add link /usr/share/grib_api -> /usr/share/eccodes and _really_
    dont ship the data
  * Fix regression on python3.6 support in rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Aug 2017 13:27:51 +0100

grib-api (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * S-V: 4.0.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Feb 2017 08:28:26 +0000
