=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Package: libgrib-api0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libgrib-api-data (<< 1.9.0~)
 Breaks: libgrib-api-data (<< 1.9.0~)
 Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
@@ -95,6 +95,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Provides: ${python3:Provides}
+Conflicts: python3-eccodes
 Description: Python3 module for the ECMWF GRIB API library
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
