## grib-api 1.23.1

=== debian/changelog ===
grib-api (1.23.1-1build2) bionic; urgency=medium

  * Rebuild against new libnetcdf13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 13:31:42 +0200

grib-api (1.23.1-1build1) bionic; urgency=medium

  * Rebuild against new libnetcdf13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 10:07:54 +0200

grib-api (1.23.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Aug 2017 12:36:40 +0100
