=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   dh-python, chrpath, 
   python-setuptools, python3-setuptools,
   libaec-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev, libeccodes-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
