=== debian/rules ===
--- 
+++ 
@@ -45,29 +45,27 @@
 
 override_dh_auto_configure:
 	set -e && for i in $(PY3VERSM); do \
-	  F77=gfortran dh_auto_configure --builddirectory=debian/build-$$i  -- \
+	F77=gfortran dh_auto_configure --builddirectory=debian/build-$$i  -- \
 		-DPYTHON_EXECUTABLE=/usr/bin/$$i \
 		${BUILD_FLAGS} ; \
-	  ( cd debian/build-$$i/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz ) ; \
-	done
+		( cd debian/build-$$i/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz ) ; \
+		done
 	F77=gfortran dh_auto_configure --builddirectory=debian/build-py2  -- \
 		-DPYTHON_EXECUTABLE=/usr/bin/python2 \
 		${BUILD_FLAGS}
 	( cd debian/build-py2/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz )
-#	    -DENABLE_MEMORY_MANAGEMENT=ON \
-
 
 override_dh_auto_build:
 	dh_auto_build  --builddirectory=debian/build-py2
-	set -e && for i in $(PY3VERSM); do \
-	  dh_auto_build  --builddirectory=debian/build-$$i ; \
-	done
+	set -e && for i	in $(PYVERS3M);	do \
+		dh_auto_build  --builddirectory=debian/build-$$i  ; \
+		done
 
 override_dh_auto_install:
 	dh_auto_install  --builddirectory=debian/build-py2
-	set -e && for i in $(PY3VERSM); do \
-	  dh_auto_install  --builddirectory=debian/build-$$i ; \
-	done
+	set -e && for i	in $(PY3VERSM);	do \
+		dh_auto_install  --builddirectory=debian/build-$$i ; \
+		done
 
 override_dh_auto_test:
 	# We need python code properly installed in debian/tmp to separate python2, python3 extensions when testing
@@ -75,10 +73,11 @@
 	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages \
 		dh_auto_test --builddirectory=debian/build-py2  ) || true
 	set -e && for i in $(PY3VERSM); do \
-	  (cd debian/build-$$i && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no) ; \
-	  $(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-$$i/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/$$i/site-packages \
-		dh_auto_test --builddirectory=debian/build-$$i  ) || true ; \
-	done
+		(cd debian/build-$$i && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no) ; \
+		$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-$$i/lib ;  \
+			PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/$$i/site-packages \
+				dh_auto_test --builddirectory=debian/build-$$i  ) || true ; \
+		done
 
 override_dh_install:
 	for d in libgrib_api_f77.so  libgrib_api_f90.so	libgrib_api.so ; do \
