## grib-api 1.24.0

=== debian/changelog ===
grib-api (1.24.0-3) unstable; urgency=medium

  * Make grib-api-tools depend on libeccodes-data. Files needed.
    Closes: #882995
  * Mark libgrib-api-doc as M-A: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Nov 2017 14:11:11 +0000

grib-api (1.24.0-2) unstable; urgency=medium

  * Remove build path from cmake, grib-api_ecbuild-config.h files for
    bit-reproducibility
  * Drop B-D on curl

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2017 15:51:16 +0100

grib-api (1.24.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Oct 2017 10:57:38 +0100
