=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
   libnetcdf-dev, libboost-dev, libhdf5-dev, 
   libopenjp2-7-dev,
-  curl,swig, 
+  swig, 
   python3-all-dev,  python3-numpy, python3-six,
   python-all-dev, python-numpy, python-six,
   dh-python, chrpath, 
   python-setuptools, python3-setuptools,
   libaec-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev, libeccodes-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
@@ -50,7 +50,7 @@
 Package: libgrib-api-tools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
 Recommends: python3-gribapi, python-gribapi
 Conflicts: libeccodes-dev
 Description: GRIB decoding/encoding software (utilities)
@@ -66,6 +66,7 @@
 Package: libgrib-api-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: GRIB decoding/encoding software (documentation)
  The ECMWF GRIB API is an application program interface accessible from C and
